<template>
  <div>
    <div
      class="existing-todo"
      v-for="todo in todos"
      :key="todo.id"
    >
      <span
        class="checkbox"
        :class="{'simple': draftList}"
      />
      <span class="text">{{ todo.title }}</span>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ExistingTaskList',
  props: {
    todos: {
      type: Array,
      required: true,
    },
    draftList: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss">
.existing-todo {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  margin-bottom: 12px;

  .checkbox {
    border-radius: 50%;
    display: inline-block;
    min-width: 16px;
    min-height: 16px;
    margin-right: 8px;
    border: solid 1px #424242;

    &.simple {
      margin-top: 2px;
      min-height: 4px;
      min-width: 4px;
      background-color: #424242;
    }
  }

  .text {
    text-align: left;
    color: #424242;
    font-size: 16px;
  }
}
</style>
